Entry (Apache OpenNLP :: Core :: Runtime 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.dictionary.serializer, record: Entry

Package opennlp.tools.dictionary.serializer

# Record Class Entry

java.lang.Object
java.lang.Record
opennlp.tools.dictionary.serializer.Entry

public record Entry(StringList tokens, Attributes attributes) extends Record
An `Entry` is a `StringList` which can optionally be mapped to attributes.

`entries` are read and written by the `DictionaryEntryPersistor`.

See Also:
  - `DictionaryEntryPersistor`
  - `Attributes`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Entry(StringList tokens, Attributes attributes)`
  Creates an instance of a `Entry` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Attributes`
  `attributes()`
  Returns the value of the `attributes` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `StringList`
  `tokens()`
  Returns the value of the `tokens` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Entry

    public Entry(StringList tokens, Attributes attributes)
    Creates an instance of a `Entry` record class.
    Parameters:
      `tokens` - the value for the `tokens` record component
      `attributes` - the value for the `attributes` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### tokens

    public StringList tokens()
    Returns the value of the `tokens` record component.
    Returns:
      the value of the `tokens` record component

  - ### attributes

    public Attributes attributes()
    Returns the value of the `attributes` record component.
    Returns:
      the value of the `attributes` record component